Imports System.Drawing
Imports System.Windows.Forms
Imports Wakaba

Module Module1

    Private mdteNow As Date
    Private w As Wakaba.Helper
    Private WithEvents t As Wakaba.GameTimer

    Sub Main()

        Try
            w = New Wakaba.Helper
            w.Initialize()

            w.SpriteCreate("wi", My.Resources.wall, Helper.TransparentColor.None)
            w.SpritePosition("wi", 1, 0, 0)
            w.SpriteShow("wi")

            w.SpriteCreate("XvCg", 640, 480)
            w.SpritePosition("XvCg", 0, 0, 0)
            w.SpriteShow("XvCg")

            t = New Wakaba.GameTimer
            t.Interval = 1000
            t.TimerStart()

            Do
                w.SpriteRotation("XvCg", CShort(mdteNow.Second * 6))
                w.SpriteFillColor("XvCg", Color.FromArgb(0))
                w.SpriteText("XvCg", mdteNow.ToLongTimeString, 80, 180, "lr SVbN", 80, FontStyle.Bold, Brushes.Green)
                w.ScreenRefresh(True)
            Loop While Not w.WindowClosing

        Catch ex As Exception
            MessageBox.Show(ex.Message & ex.StackTrace)
        End Try

        t.Dispose()
        w.Dispose()

    End Sub

    Private Sub t_Tick() Handles t.Tick

        mdteNow = Date.Now

    End Sub

End Module
